package handler

import (
	"context"

	"git.coopgo.io/coopgo-apps/silvermobi/models"
	"git.coopgo.io/coopgo-platform/mobility-accounts/grpcapi"
)

func (h *SilverMobiHandler) GetAccountInfos(ctx context.Context, id string) (account *models.Account, err error) {
	var resp *grpcapi.GetAccountResponse

	if resp, err = h.Services.MobilityAccounts.Client.GetAccount(ctx, &grpcapi.GetAccountRequest{Id: id}); err != nil {
		return nil, err
	}

	account = h.Services.MobilityAccounts.ToAccountModel(resp.Account.ToStorageType())

	return account, nil
}
