package grpcserver

import (
	"context"

	grpcproto "git.coopgo.io/coopgo-apps/silvermobi/servers/grpcapi/proto"
	"github.com/rs/zerolog/log"
)

func (s SilvermobiGRPCService) ForgetAccount(ctx context.Context,
	req *grpcproto.ForgetAccountRequest) (res *grpcproto.ForgetAccountResponse, err error) {

	log.Info().
		Str("username", req.Username).
		Str("namespace", req.Namespace).
		Msg("ForgetAccount")

	response, accessCode := s.Handler.ForgetAccount(ctx, req.Username, req.Namespace)

	if response == true {
		return &grpcproto.ForgetAccountResponse{
			Response:   true,
			AccessCode: accessCode,
		}, nil
	}
	return &grpcproto.ForgetAccountResponse{
		Response:   false,
		AccessCode: "",
	}, nil

}
